unit MDIChild;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TfrmChild = class(TForm)
    Panel1: TPanel;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormActivate(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    FFilename: string;
    procedure SetFilename(const Value: string);
  public
    ActCount :integer;
    property Filename :string read FFilename write SetFilename;
  end;

var
  frmChild: TfrmChild;


implementation

uses MDIMain;

{$R *.DFM}

procedure TfrmChild.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  action:=cafree;
end;

procedure TfrmChild.SetFilename(const Value: string);
begin
  FFilename:=Value;
  caption:=extractfilename(ffilename);
end;

procedure TfrmChild.FormActivate(Sender: TObject);
begin
  inc(actcount);
  panel1.caption:='Activate count: '+inttostr(actcount);
end;

procedure TfrmChild.FormCreate(Sender: TObject);
begin
  actcount:=0;
end;

end.
